### Method

# FwupdPlugin UsbDevice get_configuration_index

since: 2.0.0

#### Declaration [src]

    guint8
    fu_usb_device_get_configuration_index (
      FuUsbDevice* self
      GError** error
    )

#### Description [src]

Get the index for the active Configuration string descriptor ie, iConfiguration.

Available since: 2.0.0

#### Return value

Type: `guint8`

A string descriptor index, or 0x0 on error.